package com.lovecding.day07.ex02;

public class TestMax {

    //（1）声明方法int min(int a, int b , int c)：返回3个整数中的最小值
    public int min(int a, int b , int c){
        int min = (a > b ? b : a) > c ? c :(a > b ? b : a);
        return min;
    }
    //（2）声明方法int max(int a, int b , int c)：返回3个整数的最大值
    //（2）声明方法int max(int[] arr )：返回数组中的最大值
    public int max(int[] arr ){
        int max = arr[0];
        for (int i = 0; i < arr.length; i++) {
            if (arr[i]> max) {
                max = arr[i];
            }
        }
        return max;
    }

    public static void main(String[] args) {
        TestMax testMax = new TestMax();
        int min = testMax.min(9, 5, 8);
        System.out.println(min);

        int[] arr = {11,4,5,6};
        System.out.println(testMax.max(arr));
    }

}
